# Fn<> IsIntegral
Tests for a type to be of integral vaule.

Defined in | <seqan/basic.h>
Signature | `IsIntegral<T>::Type`

## Template Parameters

`T` | Type that is tested.

## Return Values

`Type` | Either True or False.

## Detailed Description

Deprecated.

Please use `Is<IntegerConcept<T> >::Type`.

#### Dox Sources

    /*!
     * @mfn IsIntegral
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Tests for a type to be of integral vaule.
     *
     * @deprecated Please use <tt>Is&lt;IntegerConcept&lt;T&gt; &gt;::Type</tt>.
     *
     * @signature IsIntegral<T>::Type
     *
     * @tparam T Type that is tested.
     *
     * @return Type Either True or False.
     */